--[[
    Arizona Trilogy AutoFill
    Author: chapo ( https://t.me/chaposcripts )
]]
require("ArizonaAPI");
local cjson = require('cjson');

local executeEventPatten = [[window.executeEvent%('(.+)', `(.+)`%);]];
local fuel = {
    type = nil,
    maxLiters = nil,
    currentLiters = nil
};

function onUIBrowserJSCodeExecute(msg)
    -- print('[onUIBrowserJSCodeExecute]', msg);
    if (msg:find(executeEventPatten)) then
        local eventName, json = msg:match(executeEventPatten);
        if (eventName:find('gasstation')) then
            local data = cjson.decode(json);
            if (eventName == 'event.gasstation.initializeFuelTypes') then
                for _, fuelType in pairs(data[1]) do
                    if (fuelType.available == 1) then
                        fuel.type = fuelType.id;
                    end
                end
            elseif (eventName == 'event.gasstation.initializeMaxLiters') then
                fuel.maxLiters = data[1];
            elseif (eventName == 'event.gasstation.initializeCurrentLiters') then
                fuel.currentLiters = data[1];
                sendUIBrowserMessage(('purchaseFuel|%d|%d'):format(fuel.type, fuel.maxLiters - fuel.currentLiters));
                sampAddChatMessage('AutoFill by chapo //  !', 0xFF872bff);
            end
        end
    end
end

--[onSendUIBrowserMessage]	onActiveViewChanged|GasStation
--[onUIBrowserJSCodeExecute]	window.executeEvent('event.gasstation.initializeFuelTypes', `[[{"id":0,"title":"","price":400,"available": 0},{"id":1,"title":"-92","price":400,"available": 1},{"id":2,"title":"-95","price":400,"available": 0},{"id":3,"title":"-98","price":400,"available": 0}]]`);
--[onUIBrowserJSCodeExecute]	window.executeEvent('event.gasstation.initializeProducts', `[[{"id":0,"title":".","image":520,"price":50000},{"id":1,"title":"","image":516,"price":50000},{"id":2,"title":"   ","image":700054,"price":40000}]]`);
--[onUIBrowserJSCodeExecute]	window.executeEvent('event.gasstation.initializeMaxLiters', `[100]`);
--[onUIBrowserJSCodeExecute]	window.executeEvent('event.gasstation.initializeCurrentLiters', `[3]`);
--[onSendUIBrowserMessage]	purchaseFuel|1|97